<?php

if($REX['REDAXO'] && isset($REX['USER'])) {

    // Init Addon
    $REX['ADDON']['rxid']['sliceshift'] = '1211';
    $REX['ADDON']['perm']['sliceshift'] = 'sliceshift[]';

    // Credits
    $REX['ADDON']['version']['sliceshift'] = '0.9.3';
    $REX['ADDON']['author']['sliceshift'] = 'Michael Ziem';
    $REX['ADDON']['page']['sliceshift'] = 'www.ziem.io';
    $REX['ADDON']['supportpage']['sliceshift'] = 'www.ziem.io';

    // Permissions
    $REX['PERM'][] = 'sliceshift[]';

    if($REX['USER']->hasPerm('sliceshift[]') || $REX['USER']->isAdmin()) {

        // add lang file
        $I18N->appendFile($REX['INCLUDE_PATH'] . '/addons/sliceshift/lang/');
    
        // includes
        require($REX['INCLUDE_PATH'] . '/addons/sliceshift/classes/class.rex_sliceshift.inc.php');
    
        // CSS File im Backend einbinden
        rex_register_extension('PAGE_HEADER', 'rex_sliceshift::addCSS');
    
        // Button hinzufügen bzw. Menu anzeigen
        rex_register_extension('ART_SLICE_MENU', 'rex_sliceshift::addSliceShift');
    
        // Action ausführen
        rex_register_extension('PAGE_CONTENT_HEADER', 'rex_sliceshift::doSliceShift');
    }
}